aboutsummaryrefslogtreecommitdiffstats
path: root/setup.sh
diff options
context:
space:
mode:
authorLasse Kaihlavirta <l.kaihlavirt@partner.samsung.com>2020-12-16 09:15:09 +0000
committerGerrit Code Review <gerrit@onap.org>2020-12-16 09:15:09 +0000
commitab27141d3585af25de56f00cb763f08d734299e0 (patch)
tree01bfef6f105fa23d651a5c3cdedfc14435964771 /setup.sh
parent4c7c4eb6b8f43e3dd27a0581de62cb93148f649e (diff)
parentb761beb3ea2bafd786473775b5ba0afcb3fa2fd3 (diff)
Merge "Move Masspnf simulator code from Integration repository to it's own"
Diffstat (limited to 'setup.sh')
-rwxr-xr-xsetup.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/setup.sh b/setup.sh
new file mode 100755
index 0000000..34481df
--- /dev/null
+++ b/setup.sh
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+# Setup runtime environment for the Python scripts
+
+virtualenv --version > /dev/null 2>&1 || { echo 'Virtualenv command is not available, exiting'; exit 1; }
+pip3 --version > /dev/null 2>&1 || { echo 'python3-pip package is not available, exiting' ; exit 1; }
+tox --version > /dev/null 2>&1 || { echo 'tox command is not available, exiting' ; exit 1; }
+
+tox -e MassPnfSim-runtime
+echo -e "\n\nNow run:\nsource .tox/MassPnfSim-runtime/bin/activate"